Subject: bug#27179: gtk+ in dependency graph for qt

From: Efraim Flashner <[email-masked]>
Date: Thu, 10 Aug 2017 20:36:44 +0300

On Sun, Jul 02, 2017 at 11:16:32PM +0300, Efraim Flashner wrote:
> On Sun, Jul 02, 2017 at 09:23:44PM +0200, Ricardo Wurmus wrote:
> > 
> > Efraim Flashner <[email-masked]> writes:
> > 
> > > On Thu, Jun 01, 2017 at 09:14:40AM +0300, Efraim Flashner wrote:
> > >> gtk+ is currently in the dependency tree for qt, but is not an input.
> > >> Either we should add gtk+ as an input so the styling can be uniform
> > >> between the two toolkits, or we should find which input pulls it in and
> > >> see what other options we have for removing it from the graph.
> > >>
> > >
> > > It appears that qtbase depends on libinput which depends on gtk+@3, and
> > > also qtbase -> libinput -> libwacom -> gtk+@3.
> > 
> > Can we split libinput into a qt part and a separate gtk part?
> > 
> 
> libwacom is built with glib-or-gtk-build-system, so if we switch
> libinput to libinput-minimal then we can drop the GUI for libinput and
> libwacom support and remove gtk+ as an input. Or we can try to build
> libwacom without gtk.
> 

I just noticed that efl in elightenment.scm also has libinput as an
input. I think for now we should replace both qtbase's and efl's
libinput with libinput-minimal.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted